Уязвимость BDU:2020-03944

Дата: 19.05.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-03944.

Наименование уязвимости: Уязвимость функции vhost_user_set_log_base набора библиотек и драйверов для быстрой обработки пакетов dpdk, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции vhost_user_set_log_base набора библиотек и драйверов для быстрой обработки пакетов dpdk связана с целочисленным переполнением значения. Эксплуатация уязвимости может позволить нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система Fedora Project Fedora 32 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Прикладное ПО информационных систем dpdk до 18.05 включительно | Сетевое программное средство Oracle Corp. Oracle Communications Session Border Controller от 8.2 до 8.4 включительно | Сетевое программное средство Oracle Corp. Enterprise Communications Broker 3.1 | Сетевое программное средство Oracle Corp. Enterprise Communications Broker 3.2 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 | Ubuntu 1910 | Fedora 32 | Ubuntu 2004 LTS |
Дата выявления: 19.05.2020.
CVSS 2.0: AV:L/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,2)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,7)

Возможные меры по устранению:
Использование рекомендаций:
Для dpdk:

Обновление программного обеспечения до 19.11.3-1 или более поздней версии



Для Debian:

Обновление программного обеспечения (пакета dpdk) до 18.11.6-1~deb10u2 или более поздней версии



Для Ubuntu:

https://ubuntu.com/security/notices/USN-4362-1

Для Fedora:

https://lists.fedoraproject.org/archives/list/[email protected]/message/HRHKFVV4MRWNNJOYQOVP64L4UVWYPEO4/

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/security-alerts/cpujan2021.html.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-10722.

Тип ошибки CWE: CWE-190
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.dpdk.org/show_bug.cgi?id=267

https://nvd.nist.gov/vuln/detail/CVE-2020-10722
https://security-tracker.debian.org/tracker/CVE-2020-10722
https://ubuntu.com/security/notices/USN-4362-1
https://lists.fedoraproject.org/archives/list/[email protected]/message/HRHKFVV4MRWNNJOYQOVP64L4UVWYPEO4/
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/security-alerts/cpujan2021.html

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *